import crowdlib as cl, crowdlib_settings
import sys
cl.settings.service_type = "production"

hit_type = cl.create_hit_type(
	title="YOUR TASK TITLE HERE",
	reward=0.10,
	description="YOUR TASK DESCRIPTION HERE",
	time_limit="5 minutes")

command = sys.argv[1]
if command=="post":
	url = "http://example.com/myhit.cgi"  # YOUR URL GOES HERE
	hit = hit_type.create_hit(url=url, height=640, max_assignments=1)
	print( hit.id + " : " + url )
	print( hit_type.preview_url )
elif command=="fetch":
	lines = [("Assignment ID", "Worker ID", "Submit", "Question ID", "Answer")]
	asgs = sorted(cl.get_assignments(since=RECENT), key=lambda asg:(asg.worker.id, asg["img"].text))
	for hit in hit_type.hits:
		for asg in hit.assignments:
			for ans in assignment.answers:
				lines.append((asg.id, asg.worker.id, asg.submit_time, ans.question_id, ans.text))

if __name__=="__main__":
	commands = {
		"post"  : post, 
		"fetch" : fetch,
	}

	if len(sys.argv) >= 2 and sys.argv[1] in commands:
		commands[sys.argv]()
	else:
		print( "Usage:  %s <%s>"%(__file__, "|".join(commands)) )
