# vim: set fileencoding=utf-8 noexpandtab:

import crowdlib as cl, crowdlib_settings, sys

hit_type = cl.create_hit_type( title="Find foods representative of US states",
	reward=0.10, description="Search online for the answer to a question.")

def post():
	for state in US_STATES:
		hit = hit_type.create_hit([
			cl.text_field("What food is %s famous for?"%state,"food"),
			cl.checkbox_field("Taste", "taste", ("delicious", "disgusting")),
			cl.list_field("Appearance", "appearance", ("good", "bad"))
		])
	hit_type.preview_in_browser()

def fetch():
	for asg in hit_type.assignments:
		print( asg.submit_time )
		for answer in asg.answers:
			print( "  %s : %s"%(answer.question_id, answer.text) )

US_STATES = ("Alabama", "Alaska", "American Samoa", "Arizona", "Arkansas",
	"California", "Colorado", "Connecticut", "Delaware",
	"District of Columbia", "Florida", "Georgia", "Guam", "Hawaii", "Idaho",
	"Illinois", "Indiana", "Iowa", "Kansas", "Kentucky", "Louisiana",
	"Maine", "Maryland", "Massachusetts", "Michigan", "Minnesota",
	"Mississippi", "Missouri", "Montana", "Nebraska", "Nevada",
	"New Hampshire", "New Jersey", "New Mexico", "New York",
	"North Carolina", "North Dakota", "Northern Marianas Islands ", "Ohio",
	"Oklahoma", "Oregon", "Pennsylvania", "Puerto Rico", "Rhode Island",
	"South Carolina", "South Dakota", "Tennessee", "Texas", "Utah",
	"Vermont", "Virginia ", "Virgin Islands ", "Washington",
	"West Virginia", "Wisconsin", "Wyoming")


if __name__=="__main__":
	commands = {
		"post"  : post, 
		"fetch" : fetch,
	}

	if len(sys.argv) >= 2 and sys.argv[1] in commands:
		commands[sys.argv[1]]()
	else:
		print( "Usage:  %s <%s>"%(__file__, "|".join(commands)) )
