import os
from setuptools import setup

# Utility function to read the README file.
# Used for the long_description.  It's nice, because now 1) we have a top level
# README file and 2) it's easier to type in the README file than to put a raw
# string in below ...
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(
    name = "CrowdLib",
    version = "0.8.50",
    author = "Alexander J. Quinn",
    author_email = "aq@purdue.edu",
    description = "Toolkit for using Amazon Mechanical Turk, with an emphasis on brevity and simplicity.",
    license = "MIT",
	data_files = [("crowdlib/sql", ["crowdlib/sql/schema.sql"]), ("crowdlib", ["crowdlib/html_hit_template.html"])],
    keywords = "amt mturk mechanicalturk aws crowdsourcing umd hcil",
    url = "http://www.cs.umd.edu/hcil/",
    packages=['crowdlib', "crowdlib.utility", "crowdlib.utility.backports", "crowdlib.pytz", "crowdlib.tzlocal"],
	install_requires = ["pytz", "tzlocal"],

    # long_description="",
    classifiers=[
		"Development Status :: 4 - Beta",
        "Topic :: Utilities",
        "License :: OSI Approved :: MIT License",
		"Intended Audience :: Science/Research",
		"Operating System :: OS Independent",
		"Programming Language :: Python :: 2",
		"Programming Language :: Python :: 2.5",
		"Programming Language :: Python :: 2.6",
		"Programming Language :: Python :: 2.7",
		"Programming Language :: Python :: 3",
		"Programming Language :: Python :: 3.0",
		"Programming Language :: Python :: 3.1",
		"Programming Language :: Python :: 3.2",
		"Programming Language :: Python :: 3.3",
		"Programming Language :: Python :: 3.4",
    ],
)
